Memberships

List organization memberships

get

Retrieve a list of all organizations the user is a member of

Authorizations
AuthorizationstringRequired

Provide the token that is returned upon login

Query parameters
limitinteger · min: 1 · max: 100Optional

Limits the number of results to return

Default: 10
reversebooleanOptional

Order in which to retrieve the results

Default: false
pageTokenstringOptional

Pagination token that keeps of track of the current position in the list

statusstring · enumOptional

The status of user's membership on the organization.

Possible values:
Responses
chevron-right
200

OK

application/json
get
/me/memberships

Get organization membership

get

Retrieve a single organization membership object.

Authorizations
AuthorizationstringRequired

Provide the token that is returned upon login

Path parameters
organizationIdstringRequired

The organization ID

Responses
chevron-right
200

OK

application/json
statusstring · enumRequired

The status of user's membership on the organization.

Possible values:
createdAtstring · date-timeRequired

When the membership was created.

updatedAtstring · date-timeRequired

When the membership was last updated.

roleIdsstring · uuid[] · nullableOptionalDeprecated

IDs of IAM roles assigned to the user.

requiredSsoAuthbooleanOptional

Indicates if SSO Authentication is required for this membership

requiredMfaAuthbooleanOptional

Indicates if MFA Authentication is required for this membership

get
/me/memberships/{organizationId}

Accept organization invitation

post

Accept a pending invitation to join the organization.

Authorizations
AuthorizationstringRequired

Provide the token that is returned upon login

Path parameters
organizationIdstringRequired

The organization ID

Responses
chevron-right
200

OK

application/json
statusstring · enumRequired

The status of user's membership on the organization.

Possible values:
createdAtstring · date-timeRequired

When the membership was created.

updatedAtstring · date-timeRequired

When the membership was last updated.

roleIdsstring · uuid[] · nullableOptionalDeprecated

IDs of IAM roles assigned to the user.

requiredSsoAuthbooleanOptional

Indicates if SSO Authentication is required for this membership

requiredMfaAuthbooleanOptional

Indicates if MFA Authentication is required for this membership

post
/me/memberships/{organizationId}

Leave organization

delete

Remove the membership from the organization for the current user

Authorizations
AuthorizationstringRequired

Provide the token that is returned upon login

Path parameters
organizationIdstringRequired

The organization ID

Responses
delete
/me/memberships/{organizationId}

No content

Last updated

Was this helpful?